using System.Diagnostics;
using AppLibs.Libs;
using Microsoft.AspNetCore.Mvc;
using TWA_App.Models;

namespace TWA_App.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }
        [PageInfor("1000", "Home")]
        public async Task<IActionResult> Index()
        {
            return await this.ViewAsync();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
